Seed-2.0-Pro

Seed-2.0-Pro

Provider: ByteDance
Category: Text Generation
Endpoint: POST /v1/chat/completions
Context window: 256K
Served from: Malaysia

Flagship general model with 256K context for complex reasoning, multimodal understanding, structured generation, and tool-augmented execution.

At a glance

FieldValue
Model idseed-2-0-pro
Input modalitiestext, image, video
Output modalitiestext
Context window256K
RegionMalaysia
Featuresvision, reasoning
NewNo
Native inferenceNo

Pricing

ChargeSpecRate
Input≤ 128K context, per 1M tokens$0.63
Output≤ 128K context, per 1M tokens$3.79
Input128K–256K context, per 1M tokens$1.26
Output128K–256K context, per 1M tokens$7.58

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "seed-2-0-pro", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature · Range: 0 – 2
top_pnumberno1Nucleus sampling · Range: 0 – 1
max_tokensnumberno4096Max output tokens · Range: 1 – 65536
frequency_penaltynumberno0Range: -2 – 2
presence_penaltynumberno0Range: -2 – 2
streambooleannofalseServer-Sent Events streaming
stopstringnoComma-separated stop sequences
disable_formattingbooleannofalseReturn raw upstream response with no formatting wrappers

Live machine-readable schema is also available at GET https://api.empiriolabs.ai/v1/models/seed-2-0-pro.